package org.dromara.main.service;

import org.dromara.main.domain.bo.CsOrderCardBo;
import org.dromara.main.domain.vo.CsOrderCardVo;

public interface ICsOrderCardService {

    /**
     * 发送结算单
     */
    CsOrderCardVo sendOrderCard(CsOrderCardBo bo);

    /**
     * 查询结算单状态
     */
    CsOrderCardVo queryById(Long orderCardId);

    /**
     * 用户支付结算单
     */
    Boolean payOrderCard(Long orderCardId, Long userId);

    /**
     * 取消结算单
     */
    Boolean cancelOrderCard(Long orderCardId);

    /**
     * 定时校验并过期超时未支付的结算单
     */
    void checkExpiredOrderCards();

}
